<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * WooCommerce Options
 */

$wp_customize->add_section(
			'digital_woo_settings',
			array(
				'title'       => __( 'Digital WooSettings', 'digital' ),
				'capability'  => 'edit_theme_options',					
				'panel'			=> 'woocommerce',
			));
		
$wp_customize->add_setting(
			'digital_woostyle',
			array(
				'default'           => 'enable',
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
				'capability'        => 'edit_theme_options',
				'panel'			=> 'woocommerce',
			));
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'digital_woostyle',
				array(
					'label'       => __( 'WooCoomerce Design Theme/Default Woo', 'digital' ),
					'description' => __( 'Enable or disable Featured Image', 'digital' ),
					'section'     => 'digital_woo_settings',
					'type'        => 'select',
					'choices'     => array(
						'enable' => __( 'Theme Style', 'digital' ),
						'disable' => __( 'WooCommerce Style', 'digital' ),
					),
					'priority'    => apply_filters( 'digital_bootstrap_version_priority', 10 ),
				)));			

				//Cart Icon
				$wp_customize->add_setting('digital_headercarticon',	
				array(
					'default'			=> true,
					'type'				=> 'theme_mod',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'digital_customize_sanitize_checkbox'
				));
			$wp_customize->add_control('digital_headercarticon',
				array (                             
					'type'    => 'checkbox',
					'label' => __('Cart Icon','digital'),
					'description'        => __( 'Display Cart Icon in Header', 'digital' ),
					'settings'   => 'digital_headercarticon',
					'section' => 'digital_woo_settings',
					'priority'    => apply_filters( 'digital_headercarticon_priority', 45 ),
				));	

				//Cart Total
				$wp_customize->add_setting('digital_carttotal',	
				array(
					'default'			=> true,
					'type'				=> 'theme_mod',
					'capability'		=> 'edit_theme_options',
					'transport'   => 'postMessage',
					'sanitize_callback'	=> 'digital_customize_sanitize_checkbox'
				));
			$wp_customize->add_control('digital_carttotal',
				array (                             
					'type'    => 'checkbox',
					'label'       => __( 'Display Cart Total', 'digital' ),
					'settings'   => 'digital_carttotal',
					'section' => 'digital_woo_settings',
					'priority'    => apply_filters( 'digital_carttotal_priority', 45 ),
				));	

				//My Account
				$wp_customize->add_setting('digital_wooaccount',	
				array(
					'default'			=> true,
					'type'				=> 'theme_mod',
					'capability'		=> 'edit_theme_options',
					'sanitize_callback'	=> 'digital_customize_sanitize_checkbox'
				));
			$wp_customize->add_control('digital_wooaccount',
				array (                             
					'type'    => 'checkbox',
					'label' => __('My Account Icon','digital'),
					'description'        => __( 'Display My Account in Header', 'digital' ),
					'settings'   => 'digital_wooaccount',
					'section' => 'digital_woo_settings',
					'priority'    => apply_filters( 'digital_wooaccount_priority', 45 ),
				));	